Bug Hunting Session
Bug 100411 - With OpenGL rendering enabled tool-tips are blank frame with no text
Summary: With OpenGL rendering enabled tool-tips are blank frame with no text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.2 target:5.1.5
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-06-15 16:50 UTC by V Stuart Foote
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-06-15 16:50:48 UTC
On Windows 10 Pro 64-bit en-US with
Version: 5.3.0.0.alpha0+
Build ID: 58959a946c0a412c3f997d8511eacb316626cd42
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-06-15_12:04:53
Locale: en-US (en_US)

with OpenGL rendering enabled, the tool-tips are being rendered as blank.  Just a gray backing frame--no yellow tool-tip box and no text annotation shows.

Could be related to work on bug 10332--With OpenGL rendering many UI labels are unreadable due to low or no contrast to background.
Comment 1 V Stuart Foote 2016-06-15 16:59:23 UTC
Tomaž, Caolán any chance the work on bug 10337 crosses paths here, or just coincidence?
Comment 2 Commit Notification 2016-06-24 09:14:25 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1296e295e7d4f1104d2c90b1f51d52251358bea

tdf#100411 start the flush timer when batching (PostBatchDraw)

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-24 12:55:00 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af6dfe3c4cb9a97ec4bb91068c68665a8710cd40&h=libreoffice-5-2

tdf#100411 start the flush timer when batching (PostBatchDraw)

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Jan Holesovsky 2016-06-24 13:11:07 UTC
Tomaž: Thanks for the fix!  Backport for 5.1 still pending in gerrit.
Comment 5 Commit Notification 2016-06-26 20:12:39 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24c3838b5fd2005d9df902c9a7d03fcba78adbe4&h=libreoffice-5-1

tdf#100411 start the flush timer when batching (PostBatchDraw)

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.